List commits
curl --request GET \
--url https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"committed_at": "<string>",
"config": {
"call_handling": {
"greeting_interruptible": true,
"idle_reminder": {
"after_seconds": 0,
"enabled": true,
"message": "<string>"
},
"max_duration_seconds": 0,
"silence_timeout_seconds": 0
},
"greeting": "<string>",
"instructions": "<string>",
"languages": [
"<string>"
],
"model": {
"id": "<string>"
},
"recording": {
"consent": {
"prompt": "<string>",
"type": "<string>"
},
"enabled": true,
"transcript_enabled": true
},
"timezone": "<string>",
"transcriber": {
"id": "<string>"
},
"voice": {
"id": "<string>",
"speaking_rate": 123
},
"voicemail": {
"behavior": "<string>",
"message": "<string>"
}
},
"id": "<string>",
"made_live_at": "<string>",
"status": "live"
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}Agents and versions
List commits
A version’s commits, newest first. The first one is what the version runs now.
GET
/
agents
/
{id}
/
versions
/
{vid}
/
history
List commits
curl --request GET \
--url https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents/{id}/versions/{vid}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"committed_at": "<string>",
"config": {
"call_handling": {
"greeting_interruptible": true,
"idle_reminder": {
"after_seconds": 0,
"enabled": true,
"message": "<string>"
},
"max_duration_seconds": 0,
"silence_timeout_seconds": 0
},
"greeting": "<string>",
"instructions": "<string>",
"languages": [
"<string>"
],
"model": {
"id": "<string>"
},
"recording": {
"consent": {
"prompt": "<string>",
"type": "<string>"
},
"enabled": true,
"transcript_enabled": true
},
"timezone": "<string>",
"transcriber": {
"id": "<string>"
},
"voice": {
"id": "<string>",
"speaking_rate": 123
},
"voicemail": {
"behavior": "<string>",
"message": "<string>"
}
},
"id": "<string>",
"made_live_at": "<string>",
"status": "live"
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}Authorizations
Enter your API key (Bearer token)
Query Parameters
Rows to skip.
Required range:
0 <= x <= 100000Page size, at most 200.
Required range:
1 <= x <= 200